@if (!edit && !shouldDisplayPlaceHolder()) {
  <div
    class="flex-row full-width text-area-border"
    [ngClass]="placeholder ? 'placeholder' : getComponentClasses()"
    (click)="enableEditMode()"
  >
    <div class="field-value" [class.font-family-monospace]="monospaceFont">
      {{ value }}
    </div>
  </div>
} @else {
  @if (!edit) {
    <div class="full-height ck-content placeholder" (click)="enableEditMode()">
      <span class="sqtm-placeholder">{{ placeholder }}</span>
    </div>
  }
}
@if (edit) {
  <div class="flex-column" style="align-items: center">
    <div class="flex-row full-width">
      <textarea
        #input
        nz-input
        [rows]="textareaRows"
        [(ngModel)]="editorData"
        (blur)="handleBlur()"
        [class.font-family-monospace]="monospaceFont"
      >
      </textarea>
    </div>
    @if (mustShowButtons()) {
      <div [ngClass]="getButtonBarCss()" style="margin-top: 10px">
        <button
          nz-button
          nzType="primary"
          [ngClass]="getConfirmButtonCss()"
          [nzLoading]="pending"
          (click)="confirm()"
          [attr.data-test-button-id]="'textfield-confirm-btn'"
        >
          <i nz-icon [nzType]="'check'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
          }
        </button>
        <button
          nz-button
          nzType="default"
          [ngClass]="getCancelButtonCss()"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      </div>
    }
  </div>
}
